Bug 90555 - (NET E100)e100 driver ignores forced speed/duplex setting
(NET E100)e100 driver ignores forced speed/duplex setting
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-09 12:22 EDT by Matt Stockdale
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matt Stockdale 2003-05-09 12:22:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686) Gecko/20030211 Galeon/1.3.3

Description of problem:
On a system with 3 Intel EtherExpress/Pro Cards, Trying to set the first two
cards to 100/full and the 3rd card to 10/half using /etc/modules.conf does not
work. All 3 cards are forced 100/full.

partial contents of /etc/modules.conf
   alias eth0 e100
   alias eth1 e100
   alias eth2 e100
   options e100 e100_speed_duplex=4,4,1 flow_control=1,1,0

Output of dmesg where the kernel detects the cards
   Intel(R) PRO/100 Network Driver - version 2.1.29-k3
   Copyright (c) 2002 Intel Corporation
 
   e100: Using specified speed/duplex mode of 4
   e100: Using specified flow control value of 1
   e100: selftest OK.
   divert: allocating divert_blk for eth0
   e100: eth0: Intel(R) PRO/100+ Server Adapter (PILA8470B)
     Hardware receive checksums enabled
     cpu cycle saver enabled
 
   e100: Using specified speed/duplex mode of 4
   e100: Using specified flow control value of 1
   e100: selftest OK.
   divert: allocating divert_blk for eth1
   e100: eth1: Intel(R) PRO/100 S Server Adapter
     Hardware receive checksums enabled
     cpu cycle saver enabled
 
   e100: Using specified speed/duplex mode of 1
   e100: Using specified flow control value of 0
   e100: selftest OK.
   divert: allocating divert_blk for eth2
   e100: eth2: Intel(R) PRO/100 S Server Adapter
     Hardware receive checksums enabled
     cpu cycle saver enabled

And the output of mii-tool on a freshly restarted box
   # mii-tool
   eth0: 100 Mbit, full duplex, link ok
   eth1: 100 Mbit, full duplex, link ok
   eth2: 100 Mbit, full duplex, no link

Even though dmesg claims it's using a speed/duplex mode of 1 (10/half), it
isn't. The card won't give link until I use ethtool to force it 10/half. (the
other side is forced 10/half)

Version-Release number of selected component (if applicable):
kernel-smp-2.4.18-27.7.x

How reproducible:
Always

Steps to Reproduce:
1. Edit modules.conf, specifying e100_speed_duplex=4,4,1
2. Reboot
3. Check that all interfaces are forced 100/full
    

Actual Results:  All interfaces are set 100/full, even though 10/half for card 3
has been explicitly specified

Expected Results:  Cards 1 and 2 should be 100/full, card 2 should be 10/half

Additional info:

I've reproduced this one 2 separate machines, albiet with identical hardware.
Comment 1 Arjan van de Ven 2003-05-09 12:37:55 EDT
please use ethtool for forcing duplex etc; ethool is going to be the only
interface for things like this for the future
Comment 2 Bugzilla owner 2004-09-30 11:40:53 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.